Jump to content

ATI Catalyst Drivers 11.4


jalaffa

Recommended Posts

<img src="http://www.nsanedown.com/images/logos/ATI.png" class="logo" alt="ATI" title="ATI" />AMD's award-winning ATI Catalyst graphics and HD video configuration software delivers unprecedented control of performance and visual quality with ATI Radeon™ graphics processors. Certified by Microsoft® Windows® Hardware Quality Labs (WHQL), ATI Catalyst drivers for Windows Seven, Vista. XP operating systems deliver stable performance and push the limits of innovation with advanced user-oriented features.

<a href="http://www.nsanedown.com/?request=19505871" target="_blank">Download</a>

Link to comment
Share on other sites

  • Replies 10
  • Views 1.3k
  • Created
  • Last Reply

Thanks for the share! :)

Link to comment
Share on other sites

good ..... :)

Link to comment
Share on other sites

SacredCultivator

Weird... After installing this version.. I can't seem to access the Control Panel for it... ><

When I right click, the Catalyst Control Panel doens't show, bahs.

64-bit win 7

Link to comment
Share on other sites

  • Administrator

Weird... After installing this version.. I can't seem to access the Control Panel for it... ><

When I right click, the Catalyst Control Panel doens't show, bahs.

64-bit win 7

It's fine here. Any security softwares blocking it?

The problem I'm having is their installer, it seems that they are including an older Visual C++ version in their installer, the current one is in SP1, they seem to be giving an older one, hence the installer gives a big red Failed! in the end, though all the things were sucessfully installed except the VC++. Gave them a feedback (in ranting mood but not in ranting words :P ) here.

EDIT: Reason for me getting angry at the installer? It has happened 2nd or 3rd time.

Link to comment
Share on other sites

SacredCultivator

Not tha ti know of as this is a first that it's ever happened... OH well for now.

Link to comment
Share on other sites

Captain Caveman

VC++ doesn't get updated here.. it knows I'm running the latest so you've got some version issue with your own setup

- 32bit install that is..

Link to comment
Share on other sites

  • 2 weeks later...

Not compatible with Skype. See: my problem .

greetz

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...